screenshotr_client_free
screenshotr_client_new
screenshotr_client_start_service
screenshotr_client_t
screenshotr_error_t
SCREENSHOTR_SERVICE_NAME
screenshotr_take_screenshot

## screenshotr_client_new()

LIBIMOBILEDEVICE_API screenshotr_error_t screenshotr_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | screenshotr_client_t * | client )

Connects to the screenshotr service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated screenshotr_client_t upon successful return.

Note
  This service is only available if a developer disk image has been mounted.

Returns
  SCREENSHOTR_E_SUCCESS on success, SCREENSHOTR_E_INVALID ARG if one or more parameters are invalid, or SCREENSHOTR_E_CONN_FAILED if the connection to the device could not be established.